framework:
    secret: test
    router: { resource: "%kernel.project_dir%/%kernel.test_case%/routing.yml" }
    test: ~
    default_locale: en
    profiler: false
    session:
        storage_id: session.storage.mock_file

services:
    logger: { class: Psr\Log\NullLogger }
    Symfony\Bundle\SecurityBundle\Tests\Functional\Bundle\GuardedBundle\AppCustomAuthenticator: ~
    Symfony\Bundle\SecurityBundle\Tests\Functional\Bundle\GuardedBundle\AuthenticationController:
        tags: [controller.service_arguments]

security:
    encoders:
        Symfony\Component\Security\Core\User\User: plaintext

    providers:
        in_memory:
            memory:
                users:
                    Jane: { password: test, roles: [ROLE_USER] }

    firewalls:
        secure:
            pattern: ^/
            anonymous: lazy
            stateless: false
            guard:
                authenticators:
                    - Symfony\Bundle\SecurityBundle\Tests\Functional\Bundle\GuardedBundle\AppCustomAuthenticator
